Subject: Re: bug#24057: 25.1.50; ffap interprets comments beginning with "//" as file path

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Jul 2016 20:24:12 +0300

> From: Kaushal Modi <[email-masked]>
> Date: Mon, 25 Jul 2016 17:13:51 +0000
> Cc: [email-masked], [email-masked]
> 
>  So if you disagree with my suggestion to skip comment-start instead of
>  using comment-search-forward, the behavior you propose should IMO be
>  off by default.
> 
> If that's the only way forward, I will add a defcustom in the next patch. But it doesn't feel right. A defcustom is
> being created for a very corner case. Even if I agree with that, it does not feel right to set its default value so
> that the buggy behavior is retained by default just to backward compatibility sake.

Not sure which behavior you call "buggy".  I'm okay with
unconditionally skipping the comment leader string, such as "//" in
C/C++ case.  If you want to skip more than that, I think skipping the
rest should be optional, defaulting to off.  How's that "buggy"?

> How about we add the defcustom and set the default value so that this bug is fixed. And we wait for people
> using the master branch to report any issues caused by this. Also we let emacs-devel know that this
> defcustom is going in. 

I don't want us to introduce backward-incompatible behavior, except
when strictly necessary.  In this case, skipping the initial "//" is
necessary, but skipping more slashes is not.

Thanks.